/* <LIC_AMD_STD>
 * Copyright (c) 2004-2005 Advanced Micro Devices, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * The full GNU General Public License is included in this distribution in the
 * file called COPYING
 * </LIC_AMD_STD>  */
/* <CTL_AMD_STD>
 * </CTL_AMD_STD>  */
/* <DOC_AMD_STD>
 * Geode LX framebuffer header file
 * </DOC_AMD_STD>  */

#ifndef GEODEFB_LX_H_
#define GEODEFB_LX_H_

#define KERR(str, args...) printk(KERN_ERR "geodefb-lx: " str, ##args)
#define KWRN(str, args...) printk(KERN_INFO "geodefb-lx: " str, ##args)

/* bit 0:  acceleration available
   bit 1:  acceleration active
   bit 2:  acceleration suspended by kernel
   bit 3:  acceleration suspended by user
*/

#define ACCEL_OFF              0x0 /* Accleration not available */
#define ACCEL_NOT_READY        0x1 /* Acceleration is available but the engine isn't set up yet */
#define ACCEL_ACTIVE           0x3 /* Accleration is active */
#define ACCEL_KERNEL_DISABLED  0x5 /* Acceleration has been turned off by the kernel */
#define ACCEL_USER_DISABLED    0x9 /* Acceleration has been turned off by the user */

#define ACCEL_AVAILABLE_MASK   0x1
#define ACCEL_ACTIVE_MASK      0x2

struct lxfb_par {
  int accel;
  unsigned long fbphys;              /* The physical address of the FB */
  char *fbvirt;                      /* The virtual address of the FB */
  int fbsize;                        /* The size of the FB */

  unsigned long gpphys;              /* The physical address of the GP */
  int gpsize;                        /* The size of the GP */

  int vfreq;
};

#endif
